Magick::DrawableClipRule Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableClipRule:
[legend]
Collaboration diagram for Magick::DrawableClipRule:
[legend]

## Public Member Functions

| DrawableClipRule (const FillRule fillRule_)
| ~DrawableClipRule (void)
void | operator() (MagickCore::DrawingWand *context_) const
void | fillRule (const FillRule fillRule_)
FillRule | fillRule (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 493 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableClipRule()

Magick::DrawableClipRule::DrawableClipRule | ( | const FillRule | fillRule_ | ) |

Definition at line 327 of file Drawable.cpp.

## ~DrawableClipRule()

Magick::DrawableClipRule::~DrawableClipRule | ( | void |  | ) |

Definition at line 332 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableClipRule::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 352 of file Drawable.cpp.

## fillRule() [1/2]

void Magick::DrawableClipRule::fillRule | ( | const FillRule | fillRule_ | ) |

Definition at line 342 of file Drawable.cpp.

## fillRule() [2/2]

Magick::FillRule Magick::DrawableClipRule::fillRule | ( | void |  | ) | const

Definition at line 347 of file Drawable.cpp.

## operator()()

void Magick::DrawableClipRule::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 336 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp